### Method

# Gtk Entryset_attributes

#### Declaration [src]

    void
    gtk_entry_set_attributes (
      GtkEntry* entry,
      PangoAttrList* attrs
    )

#### Description [src]

Sets a `PangoAttrList`.

The attributes in the list are applied to the entry text.

Since the attributes will be applied to text that changes as the user types, it makes most sense to use attributes with unlimited extent.

Sets property | `Gtk.Entry:attributes`

#### Parameters

`attrs`

  Type: `PangoAttrList`

  A `PangoAttrList`

  The data is owned by the caller of the method.